Geocoding

Look up an address or find out what is at a coordinate, with OpenStreetMap data for Chile.

Search for an address

POSThttps://api.drometra.com/v1/geocoding/searches

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Body

textmandatorystring
limitinteger

Response · 200

  • array de objectalways
  • objectalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X POST "https://api.drometra.com/v1/geocoding/searches" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Content-Type: application/json" \ -d '{
    "text": "…"
  }'
response · 200
{
  "results": [
    {
      "label": "…",
      "coordinate": {
        "latitude": 0,
        "longitude": 0
      },
      "precision": "address",
      "address": {
        "road": "…",
        "houseNumber": "…",
        "locality": "…",
        "region": "…",
        "postcode": "…"
      }
    }
  ],
  "provenance": {
    "kind": "nominatim",
    "engine": "…",
    "engineVersion": "…",
    "dataVersion": "…",
    "coverage": {
      "id": "…",
      "status": "covered"
    }
  }
}

Find what is at a coordinate

POSThttps://api.drometra.com/v1/geocoding/reverse

Requires the access token of a person in your company.

Headers

x-tenant-idmandatorystring · uuid
Your company's identifier. The server checks that you are still an active member of it.

Body

coordinatesmandatoryarray de object

Response · 200

  • array de objectalways

It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.

request
curl -X POST "https://api.drometra.com/v1/geocoding/reverse" \
  -H "Authorization: Bearer $DROMETRA _ TOKEN"\
  -H "x-tenant-id: $DROMETRA_TENANT" \
  -H "Content-Type: application/json" \ -d '{
    "coordinates": []
  }'
response · 200
{
  "items": [
    {
      "address": {
        "label": "…",
        "locality": "…"
      }
    }
  ]
}